package com.liquidnet.service.kylin.dao;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PerformanceOrderStatisticalDao
 * @Package com.liquidnet.service.kylin.dao
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/6/3 16:39
 */
@Data
public class PerformanceOrderStatisticalDao implements Cloneable{
    private String performancesId;
    private String ticketsId;
    private String title;
    private BigDecimal price;
    private Integer type;
    private String useStart;
    private String useEnd;
    private BigDecimal totalGeneral = BigDecimal.ZERO;
    private BigDecimal saleGeneral = BigDecimal.ZERO;
    private BigDecimal surplusGeneral = BigDecimal.ZERO;
    private BigDecimal totalSalePrice = BigDecimal.ZERO;
    private BigDecimal totalExchange = BigDecimal.ZERO;
    private BigDecimal totalRefundGeneral = BigDecimal.ZERO;
    private BigDecimal totalRefundPrice = BigDecimal.ZERO;
    private BigDecimal totalMemberNumber = BigDecimal.ZERO;
    private BigDecimal totalPayingNumber = BigDecimal.ZERO;
    private BigDecimal totalBuyUsers = BigDecimal.ZERO;

    private static final PerformanceOrderStatisticalDao obj = new PerformanceOrderStatisticalDao();
    public static PerformanceOrderStatisticalDao getNew() {
        try {
            return (PerformanceOrderStatisticalDao) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PerformanceOrderStatisticalDao();
        }
    }
}
